import { isNil } from 'lodash-unified';

export const isUndefined = (val: any): val is undefined => val === undefined;
export const isBoolean = (val: any): val is boolean => typeof val === 'boolean';
export const isNumber = (val: any): val is number => typeof val === 'number';

export const isPropAbsent = (prop: unknown): prop is null | undefined => {
	return isNil(prop);
};

export const isFilledArray = (val: any) => Array.isArray(val) && val.length > 0;
